
/*--------------------------------------------------------------------------
/*
 * Memory Spaces Definitions.
 *
 * Update for a specific board. 
 *   FLASH.ORIGIN : starting address of flash
 *   FLASH.LENGTH : length of flash
 *   RAM.ORIGIN   : starting address of main RAM
 *   RAM.LENGTH   : length of main RAM
 *
 * The values below can be addressed in linker scripts
 * using functions like 'ORIGIN(RAM)' or 'LENGTH(RAM)'.
 */

/* Memory definitions for  STM32F469/79xx
 * Adjust your amount of FLASH
 *
 * Can't execute code from CCMRAM
 * Can execute code from SRAM1
 * RAM is SRAM1(160) + SRAM2(32) + SRAM3(68)
 */

MEMORY
{
	FLASH         (rx) : ORIGIN = 0x08000000, LENGTH = 1024K
	FLASHB2       (rx) : ORIGIN = 0x00000000, LENGTH = 0
	RAM          (xrw) : ORIGIN = 0x20000000, LENGTH = 384K
	CCMRAM        (rw) : ORIGIN = 0x10000000, LENGTH = 64K
	BKPRAM        (rw) : ORIGIN = 0x40024000, LENGTH = 4K

	EXTMEMB0      (rx) : ORIGIN = 0x00000000, LENGTH = 0
	EXTMEMB1      (rx) : ORIGIN = 0x00000000, LENGTH = 0
	EXTMEMB2      (rx) : ORIGIN = 0x00000000, LENGTH = 0
	EXTMEMB3      (rx) : ORIGIN = 0x00000000, LENGTH = 0
}

INCLUDE ../sections.ld